<?php
class FeatureCollection
{
	var $type;
	var $features;
	
	function FeatureCollection()
	{
		$this->type = "FeatureCollection";
		$this->features = array();
	}
	
	function addFeature($feature) {
		array_push($this->features,$feature);
	} 
}

class Feature
{
	var $type;
	var $geometry;
	var $id;
	var $properties;
	
	function Feature($id,$geom,$properties) {
		$this->type = "Feature";
		$this->geometry = $geom;
		$this->id = $id;
		$this->properties = $properties;
	}
}

class Point
{
	var $type;
	var $coordinates;
	
	function Point($x,$y) {
		$this->type = "Point";
		$this->coordinates = array($x,$y);
	}
}

/*
$fc = new FeatureCollection();
$fc->addFeature(new Feature(0,new Point(2.3332999999999999, 48.866700000000002),
                                  array("name"=>"Paris")));
$fc->addFeature(new Feature(1,new Point(7.4333, 46.950000000000003),
                                  array("name"=>"Bern")));
*/

$conn_string = "host=localhost port=5432 dbname=ogo10 user=traceur password=ogo";
$conn = pg_connect($conn_string);

$query = "select x(the_geom), y(the_geom), \"WUP_AGGL\" as name 
            from cities 
              where \"GEO_REGION\" = 'Europe'";  // essayez avec 'Africa'
$result = pg_query($conn, $query);

if (!$result) {
  echo "ERROR::\n";
  exit;
}

$fc = new FeatureCollection();
while ($row = pg_fetch_row($result)) {
	$fc->addFeature(new Feature(0,new Point($row[0], $row[1]),
                                  array("name"=>$row[2])));
}

echo json_encode($fc);

/*
Pour un support complet de GeoJSON en php, cf. le reader/writer du plugin MapFish de Symfony
http://www.symfony-project.org/plugins/sfMapFishPlugin

Symfony est un framework php5 offrant des fonctionnalités d'ORM (Object-Relational Mapping). Couplé à ce reader/writer GeoJSON, cela devient un intéressant début de geoframework côté serveur ! 
*/
?>

